import { mdiHelp } from "@mdi/js";
import Icon from "@mdi/react";
import { Link } from "@tanstack/react-router";
import { cn } from "~/lib/utils";

export function TermIcon(props: { term: string }) {
    return (
        <Link className={cn(
            "term-icon",
            "align-text-bottom select-none inline-flex justify-center items-center"
        )}
            to="/app/term/$term"
            params={{ term: props.term }}
        >
            <Icon path={mdiHelp} size={.75} />
        </Link>
    );
}
