import { $isRootOrShadowRoot, ElementNode, type LexicalNode } from "lexical";

export function findBlockNode(node: LexicalNode): LexicalNode {
    let toCheck: LexicalNode | null = node
    while (!isBlockNode(toCheck)) {
        if ($isRootOrShadowRoot(node)) {
            console.error("findBlockNode encountered the root node. This should not be possible!");
            throw new Error("Could not find a block node in the parent chain");
        }

        if (toCheck === null) {
            throw new Error("Could not find a block node in the parent chain");
        }
        toCheck = toCheck.getParent();
    }

    return toCheck!;
}


export function isBlockNode(node?: LexicalNode | null): boolean {
    return node instanceof ElementNode && !node.isInline();
}

