import { useEffect } from "react";
import * as Y from "yjs"
import { useRedraw } from "~/hooks/use-redraw"

export function useObserve(object: Y.AbstractType<any>, kind: "deep" | "normal" = "normal") {
    const redraw = useRedraw();

    useEffect(() => {
        if (kind === "deep") {
            object.observeDeep(redraw);
        } else if (kind === "normal") {
            object.observe(redraw);
        }
        return () => {
            if (kind === "deep") {
                object.unobserveDeep(redraw);
            } else if (kind === "normal") {
                object.unobserve(redraw);
            }
        }
    }, []);
}
