import { createFileRoute } from "@tanstack/react-router"
import { CollectionHeader } from "~/components/collection/collection_header";
import { NotesGrid } from "~/components/note/notes_grid";
import { useCollectionNotesMetadata } from "~/hooks/use-metadata";

export const Route = createFileRoute("/app/collection/$id")({
    component: RouteComponent,
})

function RouteComponent() {
    const { id } = Route.useParams();
    const notes = useCollectionNotesMetadata(id);

    return (
        <div className="flex flex-col h-full">
            <CollectionHeader collectionId={id} />
            <NotesGrid notes={notes} />
        </div>
    );
}
